#include <unistd.h>
#include "indexator.h"
#include "recherche.h"

#define RECETTES_FILE "/tmp/cuisine.dat"
#define INDEX_FILE "/tmp/cuisine.dat.index"

char errorstr[1024];

int main (int argc, char ** argv) {
    TRequete req;
    reponse toto;
    unsigned long recettenum;
    
    load_recettes (RECETTES_FILE, INDEX_FILE);
    if (nbrecettes () <= 0)
	printf ("couille : %s\n", errorstr);
    printf ("%ld recettes trouves\n", nbrecettes ());

    recherche_initialisation ();

    printf ("recherche initialis\n");

    toto = recherche (req);
    if (toto == NULL)
	printf ("pat + couille = couille dans le pat\n");
    
    recettenum = recettenonnullesuivante (toto, 0);
    while (recettenum < nbrecettes ()) {
	printf ("la requete a recu comme reponse la recette %s avec la note %ld\n", recette_titre (recettenum), notederecette (toto, recettenum));
	recettenum = recettenonnullesuivante (toto, ++recettenum);
    }
    
    printf ("desinitialisation\n");
    suppr_abr ();
    destroy_recettes ();
    return 0;
}
